| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions | Variables
tif_vms.c File Reference
`#include <stdlib.h>`
`#include <unixio.h>`
`#include "tiffiop.h"`
`#include <math.h>`
`#include <sys/stat.h>`

Go to the source code of this file.

## Classes
struct | ieeedouble
struct | ieeefloat
struct | nativedouble
struct | nativefloat
union | double_t
union | float_t

## Macros
#define | NOSHARE
#define | NATIVE2IEEEFLOAT(fp)
#define | IEEEFLOAT2NATIVE(fp)
#define | IEEEDOUBLE2NATIVE(dp) ieeetod(dp)
#define | NATIVE2IEEEDOUBLE(dp) dtoieee(dp)

## Typedefs
typedef struct ieeedouble | ieeedouble
typedef struct ieeefloat | ieeefloat

## Functions
TIFF * | TIFFFdOpen (int fd, const char *name, const char *mode)
TIFF * | TIFFOpen (const char *name, const char *mode)
tdata_t | _TIFFmalloc (tsize_t s)
void | _TIFFfree (tdata_t p)
tdata_t | _TIFFrealloc (tdata_t p, tsize_t s)
void | _TIFFmemset (tdata_t p, int v, tsize_t c)
void | _TIFFmemcpy (tdata_t d, const tdata_t s, tsize_t c)
int | _TIFFmemcmp (const tdata_t p1, const tdata_t p2, tsize_t c)
void | TIFFCvtIEEEFloatToNative (TIFF *tif, u_int n, float *f)
void | TIFFCvtNativeToIEEEFloat (TIFF *tif, u_int n, float *f)
void | TIFFCvtIEEEDoubleToNative (TIFF *tif, u_int n, double *f)
void | TIFFCvtNativeToIEEEDouble (TIFF *tif, u_int n, double *f)

## Variables
NOSHARE TIFFErrorHandler | _TIFFwarningHandler = vmsWarningHandler
NOSHARE TIFFErrorHandler | _TIFFerrorHandler = vmsErrorHandler

## Macro Definition Documentation

#define IEEEDOUBLE2NATIVE | ( |  | dp | ) | ieeetod(dp)

Definition at line 536 of file tif_vms.c.

#define IEEEFLOAT2NATIVE | ( |  | fp | ) |

Value:
{ \
float_t t; int v = (fp)->ieee.exp; \
if (v) v += -127 + 129; /* alter bias of exponent */\
t.native.exp = v; /* implicit truncation of exponent */\
t.native.sign = (fp)->ieee.sign; \
v = (fp)->ieee.mant; \
t.native.mant1 = v >> 16; \
t.native.mant2 = v;\
*(fp) = t; \
}

Definition at line 525 of file tif_vms.c.

#define NATIVE2IEEEDOUBLE | ( |  | dp | ) | dtoieee(dp)

Definition at line 538 of file tif_vms.c.

#define NATIVE2IEEEFLOAT | ( |  | fp | ) |

Value:
{ \
float_t t; \
if (t.ieee.exp = (fp)->native.exp) \
t.ieee.exp += -129 + 127; \
t.ieee.sign = (fp)->native.sign; \
t.ieee.mant = ((fp)->native.mant1<<16)|(fp)->native.mant2; \
*(fp) = t; \
}

Definition at line 517 of file tif_vms.c.

#define NOSHARE

Definition at line 41 of file tif_vms.c.

## Typedef Documentation

typedef struct ieeedouble ieeedouble

typedef struct ieeefloat ieeefloat

## Function Documentation

void _TIFFfree | ( | tdata_t | p | ) |

Definition at line 266 of file tif_vms.c.

tdata_t _TIFFmalloc | ( | tsize_t | s | ) |

Definition at line 260 of file tif_vms.c.

int _TIFFmemcmp | ( | const tdata_t | p1,
|  | const tdata_t | p2,
|  | tsize_t | c
| ) |  |

Definition at line 290 of file tif_vms.c.

void _TIFFmemcpy | ( | tdata_t | d,
|  | const tdata_t | s,
|  | tsize_t | c
| ) |  |

Definition at line 284 of file tif_vms.c.

void _TIFFmemset | ( | tdata_t | p,
|  | int | v,
|  | tsize_t | c
| ) |  |

Definition at line 278 of file tif_vms.c.

tdata_t _TIFFrealloc | ( | tdata_t | p,
|  | tsize_t | s
| ) |  |

Definition at line 272 of file tif_vms.c.

void TIFFCvtIEEEDoubleToNative | ( | TIFF * | tif,
|  | u_int | n,
|  | double * | f
| ) |  |

Definition at line 568 of file tif_vms.c.

void TIFFCvtIEEEFloatToNative | ( | TIFF * | tif,
|  | u_int | n,
|  | float * | f
| ) |  |

Definition at line 547 of file tif_vms.c.

void TIFFCvtNativeToIEEEDouble | ( | TIFF * | tif,
|  | u_int | n,
|  | double * | f
| ) |  |

Definition at line 579 of file tif_vms.c.

void TIFFCvtNativeToIEEEFloat | ( | TIFF * | tif,
|  | u_int | n,
|  | float * | f
| ) |  |

Definition at line 558 of file tif_vms.c.

TIFF* TIFFFdOpen | ( | int | fd,
|  | const char * | name,
|  | const char * | mode
| ) |  |

Definition at line 212 of file tif_vms.c.

TIFF* TIFFOpen | ( | const char * | name,
|  | const char * | mode
| ) |  |

Definition at line 229 of file tif_vms.c.

## Variable Documentation

NOSHARE TIFFErrorHandler _TIFFerrorHandler = vmsErrorHandler

Definition at line 331 of file tif_vms.c.

NOSHARE TIFFErrorHandler _TIFFwarningHandler = vmsWarningHandler

Definition at line 316 of file tif_vms.c.